Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Query Parameters

libraryId
string
required

The ID of the library

classId
string

The ID of the document class

side
enum<string>

The side of the relation definition

Available options:
LEFT,
RIGHT
limit
integer<int32>
default:50

The maximum number of relation definitions per page. (Default: 50)

nextPageToken
string

DEPRECATED. Use pageToken instead.

pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

domain
string

The G Suite domain

securityCode
string

The security code

Response

200 - application/json

A ApiRelationDefinitionList response

count
integer<int32>
kind
string
nextPageToken
string
relationDefinitions
object[]